Bug 1272879 - [ALL_LANG Except ja_JP][RHEL7.3][kexec-tools] - Translation incomplete
[ALL_LANG Except ja_JP][RHEL7.3][kexec-tools] - Translation incomplete
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools (Show other bugs)
7.3
All Linux
medium Severity low
: rc
: ---
Assigned To: Dave Young
Engineering Localization bugs mailing list
: Translation
Depends On:
Blocks: 1262678
  Show dependency treegraph
 
Reported: 2015-10-19 02:53 EDT by Satyabrata Maitra
Modified: 2016-01-20 10:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 10:24:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FAIL Category definition document (15.53 KB, application/vnd.oasis.opendocument.graphics)
2015-10-19 02:53 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2015-10-19 02:53:09 EDT
Created attachment 1084270 [details]
FAIL Category definition document

Description of problem:
As reported by the translators in the l10n qa event, translations for this package falls under FAIL-3, FAIL-4 Category - POT is inconsistent with UI.

Version-Release number of selected component (if applicable):
kexec-tools-2.0.7-37.el7

How reproducible:
Always

Steps to Reproduce:
1. N/A
2.
3.

Actual results:
Translations are not completed 100%

Expected results:
Translation should be completed 100% and be pulled and build in the package in order to reflect the translation work done in UI/CLI.

Additional info:
FAIL Categories are defined by l10n team lead, and the file is attached with this bug.
Comment 2 Noriko Mizumoto 2016-01-15 01:05:24 EST
could you please provide the translation stats?
Comment 3 Krishna Babu K 2016-01-15 06:24:05 EST
branch: * rhel-7.3
Name: kexec-tools
Version: 2.0.7
Release: 38%{?dist}
 
./kexec-tools-2.0.7/kdump-anaconda-addon/po/kdump-anaconda-addon.pot: 0 translated messages, 15 untranslated messages.

Translated LANGs:
./kexec-tools-2.0.7/kdump-anaconda-addon/po/de.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/es.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/fr.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/it.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/ja.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/ko.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/pt_BR.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/ru.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/zh_CN.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/zh_TW.po: 15 translated messages.
 
Fuzzy LANGs:
 
Untranslated LANGs:
Comment 4 Noriko Mizumoto 2016-01-18 20:11:22 EST
Krishna,
Could you please refer to the comment #15 of the bug #1221520 by Milan, and regenerate with intltool-update?
Comment 5 sandeep shedmake 2016-01-19 10:54:32 EST
From Comment 4,

branch: * rhel-7.3
Name: kexec-tools
Version: 2.0.7
Release: 38%{?dist}


./kexec-tools-2.0.7/kdump-anaconda-addon/po/kdump-anaconda-addon.pot: 0 translated messages, 15 untranslated messages.


./kexec-tools-2.0.7/kdump-anaconda-addon/po/de.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/es.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/fr.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/it.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/ja.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/ko.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/pt_BR.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/ru.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/zh_CN.po: 15 translated messages.
./kexec-tools-2.0.7/kdump-anaconda-addon/po/zh_TW.po: 15 translated messages.


Is rebase planned for this component for rhel-7.3 GA, else translation coverage is 100% at the moment ?
Comment 6 Dave Young 2016-01-19 20:54:32 EST
sandeep,

I should first understand the problem. What does it mean in comment #1 "POT is inconsistent with UI"? From comment #5:

kdump-anaconda-addon.pot: 0 translated messages, 15 untranslated messages
Above means there's 15 messages to be translated

Latter log say that 15 messages are translated for langs de..zh_TW, what is the problem? It looks good, no?

For the rebase question, we can rebase the kdump-anaconda-addon as long as we get an translation update.

Thanks
Dave
Comment 7 Noriko Mizumoto 2016-01-19 22:14:23 EST
This bug has been filed as the result of RHEL7.2 RHEL l10n QA held in September 2015.
The fail result indicates that 'kexec -h' output appears entirely in English.

If this is intention (not localize '--help' output, testing the action 'run kexec -h on termina' in the test case will be removed for future test.

If the output should be localized, please point where the translator can work?
https://fedora.zanata.org/project/view/system-config-kdump does not contain such strings.
Comment 8 Dave Young 2016-01-19 22:20:28 EST
(In reply to Noriko Mizumoto from comment #7)
> This bug has been filed as the result of RHEL7.2 RHEL l10n QA held in
> September 2015.
> The fail result indicates that 'kexec -h' output appears entirely in English.
> 
> If this is intention (not localize '--help' output, testing the action 'run
> kexec -h on termina' in the test case will be removed for future test.

Hmm, if this is for kexec -h I think we have no bandwidth to work on it in 7.3.

Reason upstream kexec-tools lack i18n support, it is not a big problem for a tool like kexec. Maybe in the future we can find resource to work on it, but for the time being I think removing the test case is fine.

We can reopen the bug once we have some progress in upstream.

> 
> If the output should be localized, please point where the translator can
> work?
> https://fedora.zanata.org/project/view/system-config-kdump does not contain
> such strings.

Thanks
Dave
Comment 9 Noriko Mizumoto 2016-01-20 10:24:51 EST
Thank you Dave for your confirmation.
This bug will be closed as won't fix.

Note You need to log in before you can comment on or make changes to this bug.